from axelrod.action import Action
from axelrod.player import Player
llllIIIl, lIllIlllII = Action.C, Action.D
class IlIIllIllIllI(Player):
    IllIlIlIllI = "strategy"
    lIlllIlIlllIIlIIllIl = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def IllllIlIII(IllllIIlI: Player) -> Action:
        if not IllllIIlI.history:
            return llllIIIl
        if IllllIIlI.defections > 1:
            return lIllIlllII
        return llllIIIl